.CurrencyConverter {
	background: linear-gradient(180deg, #995ce2 0, #7f6be5 100%);
	border-radius: 18px;
	padding: 20px 20px 30px 20px;
	display: flex;
	flex-direction: column;
	margin: 20px;
	align-items: center;
	justify-content: center;
}

.CurrencyConverter__Title {
	font-family: AvenirNextCyr-Medium, Arial, sans-serif;
	font-size: 20px;
	color: #ffffff;
	text-align: left;
	width: 100%;
	margin-bottom: 20px;
}

.CurrencyConverter__Wrapper {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 20px;
	width: 100%;
}

.CurrencyConverter__Block {
	flex: 1;
	display: flex;
	justify-content: center;
}

.CurrencyConverter__InputWrapper {
	position: relative;
	width: 100%;
}

.CurrencyConverter__Input {
	width: 100%;
	height: 46px;
	padding: 0 90px 0 10px;
	border: 1px solid #d6d9e0;
	border-radius: 8px;
	font-size: 16px;
	font-family: AvenirNextCyr-Medium, Arial, sans-serif;
	color: #3c3e43;
	outline: none;
	transition: border 0.3s;
	-moz-appearance: textfield; /* Firefox */
}
.CurrencyConverter__Input::-webkit-outer-spin-button,
.CurrencyConverter__Input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.CurrencyConverter__Input:focus {
	border-color: #7a3cb8;
}

.CurrencyConverter__SelectOverlay {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	width: 80px;
	border: none;
	border-left: 1px solid #d6d9e0;
	border-radius: 0 8px 8px 0;
	font-size: 16px;
	font-family: AvenirNextCyr-Medium, Arial, sans-serif;
	color: #3c3e43;
	outline: none;
	background-color: #fff;
	cursor: pointer;
	padding: 0;
	text-align: center;
	line-height: 46px;
	transition: border 0.3s;
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.CurrencyConverter__Arrow {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 32px;
	height: 32px;
	border-radius: 50%;
	font-size: 24px;
	color: #fff;
}

.animate-swap {
	animation: swapAnimation 0.3s ease;
}

@keyframes swapAnimation {
	0% {
		opacity: 1;
		transform: translateY(0);
	}
	50% {
		opacity: 0.5;
		transform: translateY(5px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@media (max-width: 768px) {
	.CurrencyConverter__Title {
		font-size: 18px;
		margin-bottom: 8px;
	}

	.CurrencyConverter {
		margin: 10px;
		padding: 16px 16px 16px 16px;
	}

	.CurrencyConverter__Wrapper {
		flex-direction: column;
		gap: 10px;
	}

	.CurrencyConverter__Block {
		width: 100%;
	}

	.CurrencyConverter__Arrow {
		width: 32px;
		height: 32px;
		font-size: 20px;
		transform: rotate(90deg);
	}
}
